Bug 176110 - [NEW PORT] audio/py27-pyacoustid: Bindings for Chromaprint acoustic fingerprinting and the Acoustid API
Summary: [NEW PORT] audio/py27-pyacoustid: Bindings for Chromaprint acoustic fingerpri...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-13 14:00 UTC by Mark Felder
Modified: 2013-02-15 02:50 UTC (History)
0 users

See Also:


Attachments
.shar (2.02 KB, text/plain)
2013-02-13 14:00 UTC, Mark Felder
no flags Details
pyacoustid.shar (1.73 KB, application/octet-stream)
2013-02-14 01:46 UTC, Mark Felder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Felder freebsd_committer 2013-02-13 14:00:00 UTC
Bindings for Chromaprint acoustic fingerprinting and the Acoustid API

WWW: https://github.com/sampsyo/pyacoustid

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2013-02-13 14:00:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Mark Felder freebsd_committer 2013-02-14 01:46:39 UTC
This is an improved version.
Comment 3 Martin Wilke freebsd_committer 2013-02-15 02:46:16 UTC
Responsible Changed
From-To: swills->miwi

I'll take it.
Comment 4 Martin Wilke freebsd_committer 2013-02-15 02:47:30 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2013-02-15 02:47:54 UTC
Author: miwi
Date: Fri Feb 15 02:47:46 2013
New Revision: 312263
URL: http://svnweb.freebsd.org/changeset/ports/312263

Log:
  Bindings for Chromaprint acoustic fingerprinting and the Acoustid API
  
  WWW: https://github.com/sampsyo/pyacoustid
  
  PR:		ports/176110
  Submitted by:	Mark Felder <feld@feld.me>

Added:
  head/audio/py-pyacoustid/
  head/audio/py-pyacoustid/Makefile   (contents, props changed)
  head/audio/py-pyacoustid/distinfo   (contents, props changed)
  head/audio/py-pyacoustid/pkg-descr   (contents, props changed)
Modified:
  head/audio/Makefile

Modified: head/audio/Makefile
==============================================================================
--- head/audio/Makefile	Fri Feb 15 02:14:18 2013	(r312262)
+++ head/audio/Makefile	Fri Feb 15 02:47:46 2013	(r312263)
@@ -610,6 +610,7 @@
     SUBDIR += pure-audio
     SUBDIR += py-ao
     SUBDIR += py-apetag
+    SUBDIR += py-pyacoustid
     SUBDIR += py-pyaudio
     SUBDIR += py-cddb
     SUBDIR += py-eyed3

Added: head/audio/py-pyacoustid/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/py-pyacoustid/Makefile	Fri Feb 15 02:47:46 2013	(r312263)
@@ -0,0 +1,31 @@
+# Created by: Mark Felder <feld@feld.me>
+# $FreeBSD$
+
+PORTNAME=	pyacoustid
+PORTVERSION=	0.7
+CATEGORIES=	audio python
+MASTER_SITES=	CHEESESHOP
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+
+MAINTAINER=	feld@feld.me
+COMMENT=	Bindings for Chromaprint acoustic fingerprinting and the Acoustid API
+
+LICENSE=	MIT
+
+BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}setuptools>=0:${PORTSDIR}/devel/py-setuptools
+LIB_DEPENDS=	chromaprint:${PORTSDIR}/audio/chromaprint
+
+USE_PYTHON=	yes
+PLIST_FILES=	%%PYTHON_SITELIBDIR%%/acoustid.py \
+		%%PYTHON_SITELIBDIR%%/chromaprint.py
+
+.include <bsd.port.pre.mk>
+
+do-build:
+	@(cd ${BUILD_WRKSRC}; ${SETENV} ${MAKE_ENV} ${PYTHON_CMD} \
+		${PYSETUP} build)
+
+do-install:
+	cd ${WRKSRC}/build/lib && ${COPYTREE_SHARE} \* ${PYTHONPREFIX_SITELIBDIR}/
+
+.include <bsd.port.post.mk>

Added: head/audio/py-pyacoustid/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/py-pyacoustid/distinfo	Fri Feb 15 02:47:46 2013	(r312263)
@@ -0,0 +1,2 @@
+SHA256 (pyacoustid-0.7.tar.gz) = ad1d15773a776d7880350062131f055e260f4c39135cfcc1cfbfdbcbfc08f2ef
+SIZE (pyacoustid-0.7.tar.gz) = 10173

Added: head/audio/py-pyacoustid/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/py-pyacoustid/pkg-descr	Fri Feb 15 02:47:46 2013	(r312263)
@@ -0,0 +1,3 @@
+Bindings for Chromaprint acoustic fingerprinting and the Acoustid API
+
+WWW: https://github.com/sampsyo/pyacoustid
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"